unit player;

interface
 procedure setX(value:integer);
 function getX:integer;
 procedure setY(value:integer);
 function getY:integer;
 function getW:integer;
 function getH:integer;

 procedure goUp;
 procedure goDown;
 procedure goLeft;
 procedure goRight;
 procedure press;

implementation
 uses monster, monster_struct;

 procedure setX(value:integer);
  begin
   monster_struct.setX(value, controll_mn);
  end;

 function getX:integer;
  begin
   getX:=monster_struct.getX(controll_mn);
  end;

 procedure setY(value:integer);
  begin
   monster_struct.setY(value, controll_mn);
  end;

 function getY:integer;
  begin
   getY:=monster_struct.getY(controll_mn);
  end;

 function getW:integer;
  begin
   getW:=monster_struct.getW(controll_mn);
  end;

 function getH:integer;
  begin
   getH:=monster_struct.getH(controll_mn);
  end;

 function getVelX:integer;
  begin
   getVelX:=monster_struct.getVelX(controll_mn);
  end;

 function getVelY:integer;
  begin
   getVelY:=monster_struct.getVelY(controll_mn);
  end;

 procedure setVelX(value:integer);
  begin
   monster_struct.setVelX(value, controll_mn);
  end;

 procedure setVelY(value:integer);
  begin
   monster_struct.setVelY(value, controll_mn);
  end;

 function getJmp:boolean;
  begin
   getJmp:=monster_struct.getJmp(controll_mn);
  end;

 procedure setJmp(value:boolean);
  begin
   monster_struct.setJmp(value, controll_mn);
  end;

 procedure goUp;
  begin
   monster.toUp(controll_mn);
  end;

 procedure goDown;
  begin
   monster.toDown(controll_mn);
  end;

 procedure goLeft;
  begin
   monster.toLeft(controll_mn);
  end;

 procedure goRight;
  begin
   monster.toRight(controll_mn);
  end;

 procedure press;
  begin
   monster.press(controll_mn);
  end;

end.
