unit texture;

interface
 const
  MAX_TEX=1024;

 procedure resetAll;
 function load(name:string):integer;
 function getNext(current:integer):integer;
 procedure setNext(value, current:integer);

 var 
  pool: array [0..MAX_TEX] of image;

implementation
 var
  names: array [0..MAX_TEX] of string;
  next: array [0..MAX_TEX] of integer;

 function getNext(current:integer):integer;
  begin
   getNext:=next[current];
  end;

 procedure setNext(value, current:integer);
  begin
   next[current]:=value;
  end;

 //Загрузка_текстуры(имя_без_расширения):id_текстуры
 function load(name:string):integer;
  var
   i, last:integer;
  begin
   for i:=1 to MAX_TEX do
    begin
     if names[i]=name then
      begin
       load:=i;
       exit;
      end;
     else
     if last=0 then
      if names[i]='' then
       last:=i;
    end;

   if last=0 then
    begin
     debug('Texture pool is fully, texture "'+name+'" not loaded!');
     exit;
    end;

   names[last]:=name;
   pool[last]:=loadImage('/'+name+'.png');
   load:=last;
  end;

 procedure resetAll;
  var
   i:integer;
   nullimg:image;
  begin
   for i:=0 to MAX_TEX do
    begin
     names[i]:='';
     pool[i]:=nullimg;
     next[i]:=0;
    end;
  end;

initialization
 
end.
