unit weapons;

interface
 const
  W_NONE=0;
  W_FIST=1;
  W_BERSERK=2;
  W_CHAINSAW=3;
  W_PISTOL=4;
  W_SHOTGUN=5;
  W_DSHOTGUN=6;
  W_MINIGUN=7;
  W_LAUNCHER=8;
  W_PLASMA=9;
  W_BFG9000=10;
  MAX_WEAP_TYPE=10;

  A_NONE=0;
  A_CLIP=1;
  A_SHELL=2;
  A_ROCKET=3;
  A_CELL=4;
  MAX_AMMO_TYPE=4;

  B_NONE=0;
  B_FIST=1;//Кулак
  B_BERSERK=2;//Кулак с берсерком
  B_CHAINSAW=3;//Пила
  B_BULL=4;//Пуля
  B_SHOT=5;//Дробь
  B_ROCKET=6;
  B_PLASMA=7;//Плазма
  B_BFGBALL=8;//Шарик BFG

  MAX_BULLETS=300;
  
implementation
 var
  //Тип патронов/Тебуемое кол-во патронов/Время перезарядки/Тип пули/Количество пуль за выстрел
  weap_ammo, weap_sammo, weap_reload, weap_bullet, weap_maxbull:array [0..MAX_WEAP_TYPE] of integer;
  //Максимальное кол-во патронов данного типа может быть в инвентаре
  ammo_max:array [0..MAX_AMMO_TYPE] of integer;
  //
  bull_type, bull_x, bull_y, bull_vx, bull_vy: array [0.. MAX_BULLETS] of integer;

 procedure initWeapon(_type, ammo_type, ammops, reload_time, bullen_type, bullps:integer);
  begin
   weap_ammo[_type]:=ammo_type;
   weap_sammo[_type]:=ammops;
   weap_reload[_type]:=reload_time;
   weap_bullet[_type]:=bullen_type;
   weap_maxbull[_type]:=bullps;
  end;

 procedure initAmmo(_type, max:integer);
  begin
   ammo_max[_type]:=max;
  end;

initialization
 initWeapon(W_NONE,     A_NONE,    0,   0, B_NONE,     0);
 initWeapon(W_FIST,     A_NONE,    0, 100, B_FIST,     1);
 initWeapon(W_BERSERK,  A_NONE,    0, 100, B_BERSERK,  1);
 initWeapon(W_CHAINSAW, A_NONE,    0, 100, B_CHAINSAW, 1);
 initWeapon(W_PISTOL,   A_CLIP,    1, 100, B_BULL,     1);
 initWeapon(W_SHOTGUN,  A_SHELL,   1, 100, B_SHOT,     3);
 initWeapon(W_DSHOTGUN, A_SHELL,   2, 100, B_SHOT,     6);
 initWeapon(W_MINIGUN,  A_CLIP,    1,  10, B_BULL,     1);
 initWeapon(W_LAUNCHER, A_ROCKET,  1, 100, B_ROCKET,   1);
 initWeapon(W_PLASMA,   A_CELL,    1,  30, B_PLASMA,   1);
 initWeapon(W_BFG9000,  A_CELL,   30, 300, B_BFGBALL,  1);

 initAmmo(A_NONE,     0);
 initAmmo(A_CLIP,   200);
 initAmmo(A_SHELL,   50);
 initAmmo(A_ROCKET,  50);
 initAmmo(A_CELL,   300);
end.
